#ifndef MAIN_H
#define MAIN_H

#include <QString>
#include <QPicture>
#include "machine/machine.h"

#define BLOCK_MM 300    //每块对应的毫米数
#define MACHINE_NUM 255 //连接机器最大数量值

//语言
enum Language
{
    LANGUAGE_CHINESE = 1,
    LANGUAGE_ENGLISH = 2
};

#ifdef _IN_MAIN_CPP
QList<Machine*> g_machineList;
int g_language;
#else
extern QList<Machine*> g_machineList;
extern int g_language;
#endif

#endif // MAIN_H
